"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const decodeAndSanitizeUrl_1 = require("../decodeAndSanitizeUrl");
describe('sanitizeUrl tests', () => {
    test('validate url', () => {
        const result = (0, decodeAndSanitizeUrl_1.decodeAndSanitizeUrl)('` ` `url >>');
        expect(result).toEqual('url');
    });
    test('it should preserve all URL search params and hash', () => {
        const result = (0, decodeAndSanitizeUrl_1.decodeAndSanitizeUrl)('https%253A%252F%252Fdevnet.template-dapp.multiversx.com?gasLimit=116500#hash');
        expect(result).toEqual('https://devnet.template-dapp.multiversx.com?gasLimit=116500#hash');
    });
});
//# sourceMappingURL=decodeAndSanitizeUrl.spec.js.map