"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loginSchema = void 0;
const yup_1 = require("yup");
const validUrlSchema_1 = require("./validUrlSchema");
exports.loginSchema = (0, yup_1.object)({
    callbackUrl: validUrlSchema_1.validUrlSchema.required(),
    token: (0, yup_1.string)().test('validLength', 'Token must be defined', (value) => value ? value.length > 0 : true)
}).required();
//# sourceMappingURL=login.js.map