"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const addHttpsToUrl_1 = require("../addHttpsToUrl");
describe('addHttpsToUrl test', () => {
    it('should return the url as it is when url is missing', () => {
        expect((0, addHttpsToUrl_1.addHttpsToUrl)()).toStrictEqual(undefined);
        expect((0, addHttpsToUrl_1.addHttpsToUrl)('')).toStrictEqual('');
    });
    it('should return the url as it is when url has http://', () => {
        expect((0, addHttpsToUrl_1.addHttpsToUrl)('https://multiversx.com')).toStrictEqual('https://multiversx.com');
        expect((0, addHttpsToUrl_1.addHttpsToUrl)('http://multiversx.com')).toStrictEqual('http://multiversx.com');
    });
    it('should add https:// to the url successfully', () => {
        expect((0, addHttpsToUrl_1.addHttpsToUrl)('multiversx.com')).toStrictEqual('https://multiversx.com');
    });
});
//# sourceMappingURL=addHttpsToUrl.spec.js.map